商品タグ一覧取得
GET
/product_tags
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/product_tags?limit=10&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/product_tags?limit=10&page=1' \ --header 'Authorization: Bearer <token>'商品タグ情報の一覧を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
取得件数
page
integer
ページ
name
string
タグ名で絞り込み(完全一致)
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array
ProductTagResponseobject
id
商品タグID
string format: uuid
name
タグ名
string
Examples
Exampledefault
[ { "id": "11111111-1111-1111-1111-111111111111", "name": "特売品" }, { "id": "11111111-1111-1111-1111-222222222222", "name": "新商品" }]Headers
Section titled “Headers”Link
string
<前ページURI>; rel="prev", <次ページURI>; rel="next"
- 入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[limit]は100以下の数字を指定してください。", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[page]は1以上の数字を指定してください。", "status": 400}